---
# Load distro specific variables
- include_vars: "{{ ansible_distribution | lower }}.yml"
  tags: always
  ignore_errors: True
- include_vars: "{{ ansible_fqdn | lower }}.yml"
  ignore_errors: True

- block:
  - include_tasks: utilities/mail_transfer_agent.yml
  - include_tasks: utilities/telegraf.yml
    when: ansible_distribution in ["Debian", "Ubuntu", "Linux Mint"]
  - include_tasks: utilities/netdata.yml
    when: netdata is defined and netdata == true
  - include_tasks: utilities/snmpd.yml
  - include_tasks: utilities/glusterfs.yml
    when:
      - glusterfs is defined
      - glusterfs == true
  - include_tasks: system_setup/cron.yml
  # - include_role:
  #     name: base
  #     tasks_from: users.yml

# vim: ts=2 sw=2